import type { DescribeChangeSetOutput } from '@aws-cdk/cloudformation-diff';
import type * as cxapi from '@aws-cdk/cx-api';
import type { DiffOptions } from '..';
import type { Deployments, IoHelper, SdkProvider, StackCollection, TemplateInfo } from '../../../api/shared-private';
import { PermissionChangeType } from '../../../api/shared-public';
export declare function makeTemplateInfos(ioHelper: IoHelper, stacks: StackCollection, deployments: Deployments, sdkProvider: SdkProvider, options: DiffOptions): Promise<TemplateInfo[]>;
/**
 * Return whether the diff has security-impacting changes that need confirmation.
 */
export declare function determinePermissionType(oldTemplate: any, newTemplate: cxapi.CloudFormationStackArtifact, changeSet?: DescribeChangeSetOutput): PermissionChangeType;
